Subject: Re: [Cellar] webm webvtt codec ids

From: Steve Lhomme <[email-masked]>
Date: Sun, 15 Oct 2017 17:11:35 +0200

2017-09-26 10:54 GMT+02:00 Jerome Martinez <[email-masked]>:
> On 26/09/2017 10:49, Moritz Bunkus wrote:
>>
>> Hey,
>>
>>>> I’ve found a few matroska files using the "D_WEBVTT/SUBTITLES” codec
>>>> id. This isn’t defined in the Codec specs and the “D_” prefix isn’t
>>>> either. I see this in both webm code and in libavformat. Does the “D_”
>>>> prefix for codec mappings have any meaning worth defining? Do
>>>> "D_WEBVTT/SUBTITLES” and "S_TEXT/WEBVTT” have the same meaning?
>>
>> D_WEBVTT/… are CodecIDs from the WebM mapping for WebVTT[1]. However, back
>> when I implemented WebVTT for Matroska in March 2016 I noticed that the
>> WebM mapping was based on an older WebVTT spec and that it did not
>> represent best Matroska practices. Therefore we decided on a different
>> mapping in Matroska. See [2] for details.
>>
>> So no, we should not define it (our official mapping is S_TEXT/WEBVTT),
>> and
>> it is definitely not the same.
>
>
> I suggest that we define D_WEBVTT/* in Matroska spec, as "reserved", +
> "SHOULD NOT use and MAY read it" wording and a link to WebM website, because
> files are there and WebM is a lot used, we need to avoid conflicts.
> any luck that WebM moves to Matroska version in the future?

So there are 2 ways to handle WebVTT that are incompatible ? :(
It seems indeed that the WebM spec is incomplete with some
"outstanding issues" not resolved. This is not nice...

Speaking of which it seems ISMC 1, a derivative of TTML, is going to
be used a lot so we should have a mapping as well.
https://www.w3.org/TR/ttml-imsc1/

>
> _______________________________________________
> Cellar mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cellar

-- 
Steve Lhomme
Matroska association Chairman

---

From: Moritz Bunkus <[email-masked]>
Date: Sun, 15 Oct 2017 17:24:00 +0200

Hey,

> So there are 2 ways to handle WebVTT that are incompatible ? :(

Not really. There's one way that's incomplete, based on an outdated WebVTT
spec and was never implemented in any kind of software (that would be the
WebM way), and there's one that's fully specced, whose design went through
Matroska, based on the current WebVTT specs and implemented in at least one
program (that would be the Matroska way).

> "outstanding issues" not resolved. This is not nice...

It's not even a spec. It's a draft, long since abandoned.

Kind regards,
mosu

---

From: Steve Lhomme <[email-masked]>
Date: Sun, 15 Oct 2017 17:28:55 +0200

> It's not even a spec. It's a draft, long since abandoned.

So I agree that the D_WEBVTT/* should be mentioned in the specs and
marked as reserved/deprecated. With a mention on the outdated status
coming from WebM.